Summary: Converts text and other types of files to PostScript(TM).
Name: a2ps
Version: 4.13b
Release: 1
Copyright: GPL
Group: Applications/Publishing
Source: ftp://ftp.enst.fr/pub/unix/a2ps/%{name}-%{version}.tar.gz 
Patch0: a2ps-4.13-conf.patch
Patch1: a2ps-4.13-etc.patch
Patch2: a2ps-4.13-flex.patch
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: /var/tmp/%{name}-root
Requires: psutils

%description
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%prep
%setup -q -n %{name}-4.13 
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --with-medium=Letter

# Remove prebuilt info files to force regeneration at build time
find . -name "*.info*" -exec rm -f {} \;
# force rebuilding scanners by flex - patched or not
find src lib -name '*.l' -exec touch {} \;
# these scanners use 'lineno' - incompatible with -CFe flex flags
(
    cd src
    /bin/sh ../auxdir/ylwrap "flex" sheets-map.l lex.yy.c sheets-map.c --
    /bin/sh ../auxdir/ylwrap "flex" lexssh.l lex.yy.c lexssh.c --
    cd ../lib
    /bin/sh ../auxdir/ylwrap "flex" lexppd.l lex.yy.c lexppd.c --
)

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

gzip $RPM_BUILD_ROOT%{_infodir}/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/a2ps.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/ogonkify.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/regex.info.gz %{_infodir}/dir
(cd %{_datadir}/a2ps/afm;
	./make_fonts_map.sh > /dev/null 2>&1 || exit 1 
)

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/a2ps.info.gz %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/ogonkify.info.gz %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/regex.info.gz %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config (noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/*/*
%config %{_datadir}/a2ps/afm/fonts.map
%{_datadir}/a2ps/afm/*.afm
%{_datadir}/a2ps/afm/make_fonts_map.sh
%{_datadir}/a2ps/README
%{_datadir}/a2ps/encoding
%{_datadir}/a2ps/fonts
%{_datadir}/a2ps/ppd
%{_datadir}/a2ps/ps
%{_datadir}/a2ps/sheets
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/*
%{_datadir}/locale/*/LC_MESSAGES/*
%dir %{_datadir}/a2ps/afm
%dir %{_datadir}/a2ps

%changelog
* Mon Aug 07 2000 Tim Powers <timp@redhat.com>
- update to 4.13b to fix some bugs, thanks to czar@acm.org for giving me a
  heads up on this (bug #15679)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 23 2000 Tim Powers <timp@redhat.com>
- info pages weren't getting gzipped.
- stdout & stderror redirected to /dev/null in post section

* Mon Jun 19 2000 Tim Powers <timp@redhat.com>
- fixed bug 12451 which was a stupid mistake by me.
- quiet the post section
- added patches from michal@ellpspace.math.ualberta.ca and did some spec file
  magic he suggested as well.

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- fixed bug 5876, was not setting the paper size to Letter again :(
- man pages and info pages to /usr/share, FHS compliant.
- used macros wherever possible

* Wed May 31 2000 Tim Powers <timp@rehat.com>
- fixed bug #11078, now requires psutils

* Wed Apr 26 2000 Tim Powers <timp@redhat.com>
- updated to 4.13
- compress man pages

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- gzip man pages
- strip binaries

* Mon Jan 24 2000 Tim Powers <timp@redhat.com>
- had to be more specific since the i18n stuff was removed from the package.
	There is a new a2ps-i18n package which treats the
	/usr/share/a2ps/afm/fonts.map file as a config file
	
* Wed Oct 27 1999 Tim Powers <timp@redhat.com>
- added the --with-medium=Letter option to the configure process

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- fixed problems with missing dirs as reported in bug 3822
- built for powertools

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- add a2ps-site.cfg

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- update to 4.12 for Powertools 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
